{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<div class="container-fluid">
    <div class="row">
        <div class="col-12 mb-4 mt-4">
            <div class="card shadow mb-4">
                <div class="card-body">
                    <form action="/start-orchestrator" method="post">
                        <button type="submit" class="btn btn-warning btn-block">Start Orchestrator</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>





<div class="modal" id="jobModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Waiting for the job to start.</h5>
            </div>
        </div>
    </div>
</div>


<script>
    function unblurPage() {
        // Make a GET request to the Flask endpoint
        fetch('/check-job-started')
            .then(response => response.text())
            .then(data => {
                console.log(data)
                if (data == 'true') {
                    $('#jobModal').modal('hide');
                    clearInterval(intervalId); // Stop the interval
                }
            });
    }

    // Call the function initially
    unblurPage();
    $('#jobModal').modal('show');
    // Call the function every 5 seconds
    const intervalId = setInterval(unblurPage, 5000);

</script>



{% endblock %}